return {
    data: function () {
        return {
            shoplist:[],
            apptoken:'',
        }
    },
    methods: {
        getList: function () {
            var that = this;
            GetUserSpecialDetail({
                courseid:that.$route.params.id,
                apptoken:that.apptoken
            }).then(function(res) {
                console.log(res);
                if(res.result){
                    that.shoplist = res.data.shop_list
                }else{
                    that.shoplist = []
                }
            })
        },
    },
    created: function () {
        var that = this;
        that.$store.ready(function(state) {
            that.apptoken = state.appToken
            that.getList()
        })
        
    }
}